#
# spec file for package yast2-nis-server (Version 2.9.9)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  yast2-devel-packages yast2-nis-client yast2-pam

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext popt-devel rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-nis-client yast2-packagemanager yast2-packagemanager-devel yast2-pam yast2-perl-bindings yast2-testsuite

Name:         yast2-nis-server
Version:      2.9.9
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-nis-server-2.9.9.tar.bz2
prefix:		/usr
Requires:     yast2 yast2-packager
Requires:     yast2-network yast2-nis-client
Provides:     yast2-config-nis-server
Obsoletes:    yast2-config-nis-server
Provides:     yast2-trans-nis-server
Obsoletes:    yast2-trans-nis-server
BuildArchitectures:	noarch
Summary:      YaST2 - Network Information Services (NIS) Server Configuration

%description
The YaST2 component for NIS server configuration. NIS is a service
similar to yellow pages.



Authors:
--------
    Daniel Vesely <dan@suse.cz>
    Martin Vidner <mvidner@suse.cz>

%prep
%setup -n yast2-nis-server-2.9.9

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/nis_server
/usr/share/YaST2/include/nis_server/*.ycp
%dir /usr/share/YaST2/modules
/usr/share/YaST2/modules/NisServer.ycp
/usr/share/YaST2/modules/NisServer.ybc
%dir /usr/share/YaST2/clients
/usr/share/YaST2/clients/nis_server.ycp
/usr/share/YaST2/clients/nis_server_auto.ycp
/usr/share/YaST2/clients/nis-server.ycp
%dir %{prefix}/share/applications/YaST2
%{prefix}/share/applications/YaST2/nis_server.desktop
%dir /usr/share/YaST2/scrconf
/usr/share/YaST2/scrconf/run_ypwhich_m.scr
/usr/share/YaST2/scrconf/var_yp_securenets.scr
/usr/share/YaST2/scrconf/var_yp_ypservers.scr
%doc %{prefix}/share/doc/packages/yast2-nis-server

%changelog -n yast2-nis-server
* Fri May 07 2004 - mvidner@suse.cz
- Fixed a typo that made Write unfunctional (#40086)
- 2.9.9
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.8
* Mon Mar 29 2004 - mvidner@suse.cz
- fixed build by avoiding nil in testsuite (#36922)
- 2.9.7
* Fri Mar 26 2004 - mvidner@suse.cz
- fixed writing broken by improper use of eval (#37031)
- yast2-installation not necessary anymore
- 2.9.6
* Mon Mar 08 2004 - lslezak@suse.cz
- use Sequencer::
- set icon
- version 2.9.5
* Mon Mar 08 2004 - mvidner@suse.cz
- switched from Runlevel to Service
- require yast2-installation because of ProductFeatures
- 2.9.4
* Fri Mar 05 2004 - mvidner@suse.cz
- added type information (lslezak)
- 2.9.3
* Tue Feb 10 2004 - lslezak@suse.cz
- removed *.y2cc file
- NI fixes (removed globals, data types, dynamic scope)
- use IP:: module
- version 2.9.2
* Wed Feb 04 2004 - lslezak@suse.cz
- yast2-nis-client and yast2-pam needed for build
- NI fixes
- testsuite update
- version 2.9.1
* Sun Sep 21 2003 - adrian@suse.de
- put package to stable with fixed kcontrol desktop entry
- 2.8.6
* Fri Aug 22 2003 - nashif@suse.de
- Return required package during autoinstall
- 2.8.5
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.4
* Thu Aug 14 2003 - jsuchome@suse.cz
- removed "really save" and "succesfully saved" popups, added writing
  progress dialog (#28729)
- 2.8.3
* Mon Aug 04 2003 - mvidner@suse.de
- Added desktop file (supersedes y2cc file).
- 2.8.2
* Wed Jul 23 2003 - mvidner@suse.cz
- Fixed autoinstallation (#26998).
- Using Label, Popup, Require.
- 2.8.1
* Mon Feb 17 2003 - mvidner@suse.de
- Fixed file names of png's that were named as jpg's. (#21925)
- Changed _auto::Result to Export (nashif).
- 2.7.2
* Mon Feb 10 2003 - jsuchome@suse.de
- Merged proofread texts.
* Mon Feb 03 2003 - mvidner@suse.de
- Added autoyast funcitionality (nashif).
- Converted to a standard structure with a NisServer module.
- 2.7.1
* Wed Jan 15 2003 - mvidner@suse.de
- Added function key shortcuts in ncurses.
- 2.7.0
* Wed Aug 28 2002 - mvidner@suse.cz
- Fix: The values of YPPWD_CHSH and YPPWD_CHFN were swapped when saving.
- Fixed detecting whether we are in the master's slave list
  when ypbind isn't running.
- 2.6.11
* Mon Aug 26 2002 - mvidner@suse.cz
- Use not only /etc/defaultdomain but also ypdomainname,
  because dhcpcd may use it. (~#14232)
- Adapted for the new packagemanager.
- 2.6.10
* Wed Aug 14 2002 - mvidner@suse.cz
- Make "yast2 nis-server" invoke "yast2 nis_server" (#17570).
- Merged proofread texts for the second translation round.
- 2.6.9
* Sun Aug 11 2002 - mvidner@suse.cz
- Let the table keep the keyboard focus (#16116 workaround).
- 2.6.8
* Sun Aug 04 2002 - schwab@suse.de
- Fix requires.
* Wed Jul 31 2002 - mvidner@suse.cz
- Added comments for translators
- yast2-runlevel is no longer required.
- 2.6.7
* Fri Jul 19 2002 - mvidner@suse.cz
- Moved sysconfig/ypserv definition to yast2.rpm to share it with yast2-users.
- Labels internally reorganized, preventing a babelfish effect (#17002).
- Merged proofread texts.
- 2.6.6
* Thu Jul 11 2002 - mvidner@suse.cz
- Create YPPWD_SRCDIR if it does not exist (#15624).
- Nis domain names are not as strict as DNS ones (#16648).
- Fixed client Write invocation.
- Abort on WM close button.
- 2.6.5
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Fri Jun 28 2002 - mvidner@suse.cz
- Renamed to "yast2-nis-server"
- menuentry -> config
- 2.6.2
* Tue Apr 16 2002 - mvidner@suse.cz
- Rewrote the maps selection dialog:
  * Two clumsy SelectionBoxes replaced by a single MultiSelectionBox.
  * Offer only those maps whose sources exist.
  * Added amd.home and removed amd and home (duh).
- Added return type declarations to defines.
- Fix for automake 1.6
- 2.6.1
* Mon Mar 11 2002 - mvidner@suse.cz
- Check that the source directory exists. (#14708)
- Show also init.d/ypbind output on error. (#14706)
- 2.5.9
* Mon Feb 11 2002 - mvidner@suse.cz
- Fixed Next/Finish in case ypserv is not installed. (#13042)
- Allow 0.0.0.0 as a net mask again.
- Added SetFocus to input popups.
- Clarified ExitPopup by using YesNo instead of ContinueCancel.
- 2.5.8
* Fri Feb 01 2002 - mvidner@suse.cz
- Fixed the interface to the client module after autoinst changes.
- Fixed invisible labels in the first dialog.
- Had the English texts proofread.
- 2.5.7
* Mon Jan 28 2002 - mvidner@suse.cz
- Switched from rc-config-agent to ini-agent.
- 2.5.6
* Fri Jan 11 2002 - mvidner@suse.cz
- Not using /etc/rc.config* .
- 2.5.5
- Removed old menu entry.
* Fri Jan 11 2002 - mvidner@suse.cz
- Changed an identifier that has become a builtin name. (2.5.4)
* Fri Dec 07 2001 - mvidner@suse.cz
- Obliterated START_ variables, using Runlevel.
- Client config by calling nis_write.
- Using Wizard and Progress, syntax update.
- Using y2autoconf and create-spec.
- 2.5.3
* Tue Nov 13 2001 - mvidner@suse.cz
- Added default values for lookups. (2.5.2)
* Mon Oct 29 2001 - mvidner@suse.cz
- Added a missing CloseDialog (#12090, ncurses cc only).
- Removed a spurious percent sign confusing gettext.
- 2.5.1
* Tue Oct 02 2001 - mvidner@suse.cz
- Two labels were not marked for translation. (2.5.0)
* Mon Sep 24 2001 - mvidner@suse.cz
- Icon changed from "generic network" to "yellow book" used also
  for the client. (#11245) (2.4.18)
* Fri Sep 14 2001 - mvidner@suse.cz
- Delay when restarting ypbind (bug #10428). (2.4.17)
* Fri Sep 14 2001 - mvidner@suse.cz
- Documentation update.
- Fixed a disappearing progress label regression. (#10258)
- Minor layout fixes for ncurses.
- 2.4.16
* Tue Sep 11 2001 - mvidner@suse.cz
- Client: run SuSEconfig only after flushing rc-files. (2.4.15)
* Mon Sep 10 2001 - mvidner@suse.cz
- Slave server saves the domain name too.
- Slave server gets the list of maps from yphelper, not from ypwhich.
  (Works also when ypbind is not running, can change a domain)
- Get the master name from a map, do not enforce an IP address.
- 2.4.14
* Tue Sep 04 2001 - mvidner@suse.cz
- Fixed using more than one slave server. (2.4.13)
* Mon Sep 03 2001 - mvidner@suse.cz
- Start services only if not running already, portmap needs this (Bug #9999).
- Fixed detection of master without passwd.byname, using base host name.
- Make the ypservers map too.
- Fixed slave server setup (inverted NOPUSH).
- The check for presence in ypservers is done only after the domain is set up.
- Fixed stopping the client.
- Fixed backing up /var/yp/{ypservers,securenets}.
- Eliminated redundant bash calls in server selection dialog.
- 2.4.12
* Fri Aug 31 2001 - ro@suse.de
- added <libycp-devel> to neededforbuild (for testsuite)
* Mon Aug 27 2001 - mvidner@suse.cz
- Fixed starting the client (write yp.conf, set START_PORTMAP).
- Fixed starting yppasswdd and ypxfrd.
- 2.4.11
* Fri Aug 24 2001 - mvidner@suse.cz
- Fixed re-detection of being a server. (2.4.10)
* Tue Aug 21 2001 - mvidner@suse.cz
- Replaced obsolete fileexist builtin, fixed testsuite accordingly.
- 2.4.9
* Fri Aug 17 2001 - mvidner@suse.cz
- Fixed detection of whether to start a client too.
- Fixed detection of being a master when a client is not started.
- 2.4.8
* Tue Aug 14 2001 - mvidner@suse.cz
- Fixed *.scr file list. (Don't steal from yast2-core-scr) (2.4.7)
* Mon Aug 13 2001 - mvidner@suse.cz
- Moved specialized agents from yast2-agent-{any,rcconfig}.
- 2.4.6
* Wed Aug 08 2001 - mvidner@suse.cz
- Better error formatting.
- LSB-compatible daemon restarting.
- Warn about needing to reboot when client of a changed domain.
- Changed from RPM Requires to sw_single
- Using common routines from yast2-lib-network.
- 2.4.4
* Tue Jul 31 2001 - mvidner@suse.cz
- New maintainer.
- Temporary fix of an inconsistent testsuite.
- Requires yast2-config-package-manager and ypserv.
- Some English corrections.
- Added some doc comments.
- Unified Add-Edit-Delete buttons.
- Better enabling/disabling of buttons.
* Mon Jul 30 2001 - mvidner@suse.cz
- Added missing files.
- Turned off autoheader.
- Replaced _("&OK") by OKButtonLabel() etc.
- version 2.4.2
* Fri Jul 20 2001 - dan@suse.cz
- help text and locale fixes
* Tue Jul 17 2001 - dan@suse.cz
- initial version
